summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-10-14 01:42:31 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-10-14 01:42:31 +0000
commit1a5206650bd5faa35f68725bf491ea1fbafdb524 (patch)
tree403d8263bf11c9e2d0071563648b5ece722472c5 /dev-python
parentdf6e05bc03181d943e3929af701860a4055db8d0 (diff)
downloadbaldeagleos-repo-1a5206650bd5faa35f68725bf491ea1fbafdb524.tar.gz
baldeagleos-repo-1a5206650bd5faa35f68725bf491ea1fbafdb524.tar.xz
baldeagleos-repo-1a5206650bd5faa35f68725bf491ea1fbafdb524.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyQt-builder/Manifest2
-rw-r--r--dev-python/PyQt-builder/PyQt-builder-1.12.1.ebuild (renamed from dev-python/PyQt-builder/PyQt-builder-1.11.0.ebuild)2
-rw-r--r--dev-python/debugpy/Manifest1
-rw-r--r--dev-python/debugpy/debugpy-1.5.0.ebuild42
-rw-r--r--dev-python/pydevd/Manifest1
-rw-r--r--dev-python/pydevd/pydevd-2.6.0.ebuild88
-rw-r--r--dev-python/python-fcl/python-fcl-0.0.12-r1.ebuild2
-rw-r--r--dev-python/python-libevdev/metadata.xml1
-rw-r--r--dev-python/python-libevdev/python-libevdev-0.9.ebuild14
-rw-r--r--dev-python/sip/Manifest1
-rw-r--r--dev-python/sip/sip-6.3.1.ebuild32
11 files changed, 174 insertions, 12 deletions
diff --git a/dev-python/PyQt-builder/Manifest b/dev-python/PyQt-builder/Manifest
index 9feed8b5ebc6..ce69eee4a5d9 100644
--- a/dev-python/PyQt-builder/Manifest
+++ b/dev-python/PyQt-builder/Manifest
@@ -1,2 +1,2 @@
DIST PyQt-builder-1.10.3.tar.gz 5725537 BLAKE2B da1abab8fa46da9dee15dedbcf84068b80ce081e87e640fc50642ff6dd15aa3963b9186a32193f3c492c4f141fb7242f13395a539f436575532a5735e3c85720 SHA512 26a01cb2dc4428277cc62da23404433d75f84c61360c35dfd9c440841adbcb1bf39b2211e4e33967ee2730c163dd1585b5fcbd88c6fd7efa2f1f84915a390e2a
-DIST PyQt-builder-1.11.0.tar.gz 5704150 BLAKE2B 4706e8c8663356e7c70b60c19c45db726de6b7b1b05f218aba5a966318cea497219f685f295b9069c0059e88eca053a97717a7a52add7c5ea59820bff2b810ea SHA512 4eeafaa725afeffa5794cc47e733ecfa99887c0f14f461843f4b8c71fbdb2ecf58ba05ca64dbec3e00bb2c192a25e29ee78e93d0bad742becb3379bd357e8e68
+DIST PyQt-builder-1.12.1.tar.gz 5726601 BLAKE2B 6e6dd181078ed126ecf3db7bbf5e7b68b78ec78e2ca198fb4f504495020c8fc7d61280bf844a78de69621049785b0b152f31d0d25779d7bbe330162bb80b68bf SHA512 4f006564f51758cb05da8dce78aead58a23d132405124e92bf79cac39eaa845efa5db15a2abdd43ae95e191d38d81fbc592f75bb68f83b83e25c51f8f84e6182
diff --git a/dev-python/PyQt-builder/PyQt-builder-1.11.0.ebuild b/dev-python/PyQt-builder/PyQt-builder-1.12.1.ebuild
index cc811f46a7df..5db8515e76ec 100644
--- a/dev-python/PyQt-builder/PyQt-builder-1.11.0.ebuild
+++ b/dev-python/PyQt-builder/PyQt-builder-1.12.1.ebuild
@@ -23,7 +23,7 @@ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
RDEPEND="
dev-python/packaging[${PYTHON_USEDEP}]
- >=dev-python/sip-5.5[${PYTHON_USEDEP}]
+ >=dev-python/sip-6.3[${PYTHON_USEDEP}]
"
distutils_enable_sphinx doc --no-autodoc
diff --git a/dev-python/debugpy/Manifest b/dev-python/debugpy/Manifest
index 0a861ef12953..8a2f2e5b390c 100644
--- a/dev-python/debugpy/Manifest
+++ b/dev-python/debugpy/Manifest
@@ -1,2 +1,3 @@
DIST debugpy-1.4.1.tar.gz 6687670 BLAKE2B c7761f354700d366d49365b0294ba1f07f357283c7527fc961c702bf99d808835741a899909e37092026c81ff19f6d96ef09c06512c8315ccad158b6e8e47697 SHA512 aef7779cb3a1af76b5cd3d6e8c7e0b78ffe08d1ebe25cf617ca3eb00966d5b3920358809c018f5f1f9eb56b913211134acfdba7d4c0d0174e4d6cfdae058d5f5
DIST debugpy-1.4.2.tar.gz 6673987 BLAKE2B c61d09bc036f3a12e343be3d81b2e834bd69d33df80a6b9e4111d11a2eaea221feea3ac093ca06ad1a840dcab7d53d7b321276c4103420f34adac7a4a4ac8141 SHA512 7c0908ab9202cebb020ca72c558f3c1abc28b44fb968cce4387750f18e67198ad52dd6743061888610ed733e0f7334f986c2655ec7b0a2631acc4919cd9e6c20
+DIST debugpy-1.5.0.gh.tar.gz 6676475 BLAKE2B a8aa0afe7b76beb6ba539e23558d6a0c8babfd55de9a4a0bc9aabbec8a2318e600df62b063a8d674d9402e35fd595b030efca570b4a67ec82dadb98875261e13 SHA512 b5ca216aede744a9b1e067056601470e78b8af1fabb181dc0bf6e87bc166cc8d6cad24f5695986686cac69f8ce41246bb0f074078ef3750f6e65b4d8fe55e869
diff --git a/dev-python/debugpy/debugpy-1.5.0.ebuild b/dev-python/debugpy/debugpy-1.5.0.ebuild
new file mode 100644
index 000000000000..087c4b782fd5
--- /dev/null
+++ b/dev-python/debugpy/debugpy-1.5.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="An implementation of the Debug Adapter Protocol for Python"
+HOMEPAGE="https://github.com/microsoft/debugpy/ https://pypi.org/project/debugpy/"
+SRC_URI="
+ https://github.com/microsoft/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# There is not enough time in the universe for this test suite
+RESTRICT="test"
+
+RDEPEND="dev-python/pydevd[${PYTHON_USEDEP}]"
+BDEPEND="test? ( dev-python/pytest-timeout[${PYTHON_USEDEP}] )"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.4.2-unbundle-pydevd.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Drop unnecessary and unrecognized option
+ # __main__.py: error: unrecognized arguments: -n8
+ # Do not timeout
+ sed -e '/addopts/d' -e '/timeout/d' -i pytest.ini || die
+
+ # Unbundle dev-python/pydevd
+ rm -r src/debugpy/_vendored || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/pydevd/Manifest b/dev-python/pydevd/Manifest
index 70b8a69447da..83d76a204383 100644
--- a/dev-python/pydevd/Manifest
+++ b/dev-python/pydevd/Manifest
@@ -1 +1,2 @@
DIST pydev_debugger_2_5_0.tar.gz 4140556 BLAKE2B 8630fc35138b3bb768b8a62a2f1388a1144baa9207aec49717c3c04843a393b130dfaef3266ad8fce5a5aa3af4e25d4441b075da0aa36ec1a8716db5ba5ac56c SHA512 7ebf1a5405a376fb19fb4bab0f4874e6be273d3c095338d8a2bfad433b0ec306918b2c650bd20dc5ffd835dd01e7398da2b66607a66dad931f98764f572e0be8
+DIST pydev_debugger_2_6_0.tar.gz 4142790 BLAKE2B 46776e261e77a745867423488f97c6584c9497d883d8e2b19f4f82c58472f410f1b5f287ce24b8c20e9cdaa2202cbc78235ea4a7e9aa2981aa520e0b58e4fcd3 SHA512 5e7703f2eec53fe7b4d78d59894cfbb14a35a62ad20431242477f66e72344d88d5538ebe2007526e4ff250e8bcf41702acc71692239693dd9cb788ced70d7aaa
diff --git a/dev-python/pydevd/pydevd-2.6.0.ebuild b/dev-python/pydevd/pydevd-2.6.0.ebuild
new file mode 100644
index 000000000000..20f1f742fbbf
--- /dev/null
+++ b/dev-python/pydevd/pydevd-2.6.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 toolchain-funcs
+
+MY_P="pydev_debugger_${PV//./_}"
+
+DESCRIPTION="PyDev.Debugger (used in PyDev, PyCharm and VSCode Python)"
+HOMEPAGE="https://github.com/fabioz/PyDev.Debugger/"
+SRC_URI="https://github.com/fabioz/PyDev.Debugger/archive/${MY_P}.tar.gz"
+S="${WORKDIR}/PyDev.Debugger-${MY_P}"
+
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# After removing and recompiling the prebuilt lib the tests fail?
+# For some reason the test suite is executing a slightly different gdb command
+# then before, which is lacking the file name of the lib that was pre built:
+# gdb: No symbol table is loaded. Use the "file" command
+# This also happens outside of portage so it is not related to any *FLAGS
+RESTRICT="test"
+
+BDEPEND="
+ test? (
+ dev-python/untangle[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+# Block against the version of debugpy that still bundles pydevd
+RDEPEND="
+ !<dev-python/debugpy-1.4.2
+ sys-devel/gdb
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # Drop -O3 and -flto compiler args
+ sed -i \
+ -e 's/extra_link_args = extra_compile_args\[\:\]/pass/g' \
+ -e '/extra_compile_args/d' \
+ setup.py || die
+
+ # Clean up some prebuilt files
+ rm -r third_party || die
+ cd pydevd_attach_to_process || die
+
+ # Remove these Windows files
+ rm attach_{amd64,x86}.dll || die
+ rm inject_dll_{amd64,x86}.exe || die
+ rm run_code_on_dllmain_{amd64,x86}.dll || die
+ rm -r windows winappdbg || die
+
+ # Remove these MacOS files
+ rm attach_x86_64.dylib || die
+
+ # Remove these prebuilt linux files
+ rm attach_linux_{amd64,x86}.so || die
+
+ cd linux_and_mac || die
+ rm compile_mac.sh || die
+}
+
+src_compile() {
+ pushd pydevd_attach_to_process/linux_and_mac || die
+ # recompile removed file (extracted from compile_linux.sh)
+ $(tc-getBUILD_CXX) ${CXXFLAGS} ${CFLAGS} -o "attach_linux_${ARCH}.so" \
+ -ldl ${LDFLAGS} -nostartfiles attach.cpp || die
+ mv "attach_linux_${ARCH}.so" ../ || die
+ popd || die
+ python_foreach_impl distutils-r1_python_compile
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ # Remove this duplicate that is installed directly to /usr/
+ # These files are also correctly installed to the python site-packages dir
+ rm -r "${ED}/usr/pydevd_attach_to_process" || die
+}
diff --git a/dev-python/python-fcl/python-fcl-0.0.12-r1.ebuild b/dev-python/python-fcl/python-fcl-0.0.12-r1.ebuild
index 586b9f144522..726f6ae2826b 100644
--- a/dev-python/python-fcl/python-fcl-0.0.12-r1.ebuild
+++ b/dev-python/python-fcl/python-fcl-0.0.12-r1.ebuild
@@ -14,13 +14,13 @@ LICENSE="BSD"
KEYWORDS="~amd64"
SLOT="0"
-IUSE=""
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
~sci-libs/fcl-0.5.0
sci-libs/octomap
"
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]"
PATCHES=( "${FILESDIR}"/${P}-fix-compiling-on-lld.patch )
diff --git a/dev-python/python-libevdev/metadata.xml b/dev-python/python-libevdev/metadata.xml
index 5c792b5cb7f3..f80a0496da66 100644
--- a/dev-python/python-libevdev/metadata.xml
+++ b/dev-python/python-libevdev/metadata.xml
@@ -9,4 +9,5 @@
<remote-id type="pypi">libevdev</remote-id>
</upstream>
<origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/python-libevdev/python-libevdev-0.9.ebuild b/dev-python/python-libevdev/python-libevdev-0.9.ebuild
index 99aa8e4b341a..4031fda7091d 100644
--- a/dev-python/python-libevdev/python-libevdev-0.9.ebuild
+++ b/dev-python/python-libevdev/python-libevdev-0.9.ebuild
@@ -2,8 +2,8 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
inherit distutils-r1
DESCRIPTION="Python wrappers for the libevdev library"
@@ -13,14 +13,10 @@ SRC_URI="https://gitlab.freedesktop.org/libevdev/${PN}/-/archive/${PV}/${P}.tar.
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-DEPEND="
- test? ( dev-libs/libevdev )
-"
+BDEPEND="test? ( dev-libs/libevdev )"
PDEPEND="dev-libs/libevdev"
-python_test() {
- esetup.py test
-}
+distutils_enable_tests unittest
+distutils_enable_sphinx doc/source \
+ dev-python/sphinx_rtd_theme
diff --git a/dev-python/sip/Manifest b/dev-python/sip/Manifest
index 0ef5c4fc15f8..1cf587fd429c 100644
--- a/dev-python/sip/Manifest
+++ b/dev-python/sip/Manifest
@@ -1,3 +1,4 @@
DIST sip-4.19.25.tar.gz 1056384 BLAKE2B f92e105e6b30e871aea2883dc9cd459e4032fb139a9eaff153a3412a66b39df4d7ac985711a2693aee83195ff3850ae648bee4102f7fc3cc30d09885799f2b98 SHA512 60fb4133c68869bf0993144978b4847d94a0f9c7b477f64a346ea133cfe35bc11820204ab327dcf9a929b6f65a26d16cc7efbce65e49967c3347b39376e57001
DIST sip-5.5.0.tar.gz 1108126 BLAKE2B 59f0323b3befd7ebb89461e93e1e7e5707d11b2882bd524a45f3a6ba8d8a3c792aff5580027255812f6a3fa0854febeb418690fa6106efb21aab1610d66ef911 SHA512 0122beab575239cdb3b1430dc53a7f74175e3fbb3e113bcafced122ffbc4bd3d339b64a672ac1319ea14cd540b5877c2bcfeb7f8821fe8a3c8ba3ce9744bf803
DIST sip-6.2.0.tar.gz 1181661 BLAKE2B 7f5638005a01fc1bd60ef6156027db625faa393d5ee9155c88c88aea88e4c5ce63c30a2542cd89aea7c7e066cbbf77aab9ee9d2a45210dcad964e38052cb06d3 SHA512 88e4447aaa574a312bdfbb6ef78fdb95824f33d79988cdf5c824952b7f3535973eed6d8eece7b8c9ce8b442aaa2235e252d438f2316d13272a35c484dd4fda42
+DIST sip-6.3.1.tar.gz 1200906 BLAKE2B 2dcce853a1f3912138a2830b2370db518400119c5819070fd0cfc6ffebee06bf6629ae521cca535f5873859b141831dcfad7b077321356ce2ae69ec15ee28d6a SHA512 69705c2552a87d451ea989b99bb7e3fb15163447a3a5b3625e9e6509ce9e59d52fbfbb19ab911a2efe35219a50c08f0dcb25e16b222e0c8e1094dee0fc4b3b97
diff --git a/dev-python/sip/sip-6.3.1.ebuild b/dev-python/sip/sip-6.3.1.ebuild
new file mode 100644
index 000000000000..ae0a8ed02b24
--- /dev/null
+++ b/dev-python/sip/sip-6.3.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Python bindings generator for C/C++ libraries"
+HOMEPAGE="https://www.riverbankcomputing.com/software/sip/ https://pypi.org/project/sip/"
+
+MY_P=${PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+fi
+S=${WORKDIR}/${MY_P}
+
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+SLOT="5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ !<dev-python/sip-4.19.25-r1[${PYTHON_USEDEP}]
+ !=dev-python/sip-5.5.0-r0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx doc --no-autodoc